## vnc-3.3.7.tar.bz2

=== Xvnc/Makefile ===
# $XConsortium: Makefile /main/36 1996/11/13 14:42:50 lehors $
# $XFree86: xc/Makefile,v 3.6.2.2 1998/02/07 00:44:32 dawes Exp $

# Luna users will need to either run make as "make MAKE=make"
# or add "MAKE = make" to this file.

RELEASE = "Release 6.3"
SHELL = /bin/sh
RM = rm -f
MV = mv
WORLDOPTS = -k
WIN32WORLDOPTS = -i
TOP = .
CURRENT_DIR = .
CONFIGSRC = $(TOP)/config
IMAKESRC = $(CONFIGSRC)/imake
DEPENDSRC = $(CONFIGSRC)/makedepend
DEPENDTOP = ../..
IMAKETOP = ../..
IRULESRC = $(CONFIGSRC)/cf
IMAKE = imake
IMAKE_CMD = $(IMAKE) -I$(IRULESRC) $(IMAKE_DEFINES)
MAKE_OPTS = -f xmakefile
MAKE_CMD = $(MAKE) $(MAKE_OPTS)
FLAGS = $(MFLAGS) -f Makefile.ini BOOTSTRAPCFLAGS="$(BOOTSTRAPCFLAGS)"

all:
	@$(MAKE_CMD) xmakefile-exists || $(MAKE) all-initial
	@$(MAKE_CMD) $@

all-initial:
	@echo Please use make World, or on NT use nmake World.Win32.
	@echo Check the configuration parameters in the $(IRULESRC) directory,
	@echo and pass BOOTSTRAPCFLAGS if necessary.
	@echo Read the release notes carefully before proceeding.
	@echo Do not name your log file make.log or it will be deleted.

World:
	@echo ""
	@echo Building $(RELEASE) of the X Window System.
	@echo ""
	@case "x$(BOOTSTRAPCFLAGS)" in x) \
	echo I hope you checked the configuration parameters in $(IRULESRC) ; \
	echo to see if you need to pass BOOTSTRAPCFLAGS. ; \
	echo "" ; \
	;; esac;
	@date
	@echo ""
	@if [ ! -f $(IRULESRC)/host.def ]; then \
	    if [ ! -f $(TOP)/lib/Xt/Imakefile ]; then \
		echo "#define BuildServersOnly YES" > $(IRULESRC)/host.def; \
	    else \
		if [ ! -f $(TOP)/fonts/Imakefile ]; then \
		    echo "#define BuildFonts NO" > $(IRULESRC)/host.def; \
		else \
		    echo "" > $(IRULESRC)/host.def; \
		fi \
	    fi \
	fi
	cd $(IMAKESRC) && $(MAKE) $(FLAGS) clean
	$(MAKE) $(MFLAGS) Makefile.boot
	$(MAKE_CMD) $(MFLAGS) VerifyOS
	$(MAKE_CMD) $(MFLAGS) Makefiles
	$(MAKE_CMD) $(MFLAGS) clean BOOTSTRAPSUBDIRS=
	$(MAKE_CMD) $(MFLAGS) includes
	$(MAKE_CMD) $(MFLAGS) depend
	$(MAKE_CMD) $(MFLAGS) $(WORLDOPTS) World
	@echo ""
	@date
	@echo ""
	@echo Full build of $(RELEASE) of the X Window System complete.
	@echo ""

.PRECIOUS: Makefile

# This is just a sequence of bootstrapping steps we have to do.
# The steps are listed as separate targets so clearmake can wink in
# the Makefile.proto files.
Makefile.boot: imake.proto $(DEPENDSRC)/Makefile.proto depend.bootstrap $(IMAKESRC)/Makefile.proto imake.bootstrap

imake.proto:
	cd $(IMAKESRC) && $(MAKE) $(FLAGS)
	$(RM) $(DEPENDSRC)/Makefile.proto

$(DEPENDSRC)/Makefile.proto:
	$(IMAKE_CMD) -s $(DEPENDSRC)/Makefile.proto -f $(DEPENDSRC)/Imakefile -DTOPDIR=$(DEPENDTOP) -DCURDIR=$(DEPENDSRC)

depend.bootstrap:
	cd $(DEPENDSRC) && $(RM) -r Makefile Makefile.dep makedepend *.o bootstrap
	cd $(DEPENDSRC) && $(MAKE) -f Makefile.proto bootstrap

$(IMAKESRC)/Makefile.proto:
	$(IMAKE_CMD) -s $(IMAKESRC)/Makefile.proto -f $(IMAKESRC)/Imakefile -DTOPDIR=$(IMAKETOP) -DCURDIR=$(IMAKESRC)

imake.bootstrap:
	cd $(IMAKESRC) && $(MAKE) -f Makefile.proto bootstrapdepend
	cd $(IMAKESRC) && $(MAKE) $(FLAGS) bootstrap
	cd $(IMAKESRC) && $(MAKE) -f Makefile.proto all 
	-@if [ -f xmakefile ]; then set -x; \
	  $(RM) xmakefile.bak; $(MV) xmakefile xmakefile.bak; \
	  else exit 0; fi
	$(MAKE) $(MFLAGS) xmakefile

Makefile::
	$(MAKE) $(MFLAGS) xmakefile

xmakefile: Imakefile
	$(IMAKE_CMD) -s xmakefile -DTOPDIR=$(TOP) -DCURDIR=$(CURRENT_DIR)

World.Win32:
	@echo :
	@echo Building $(RELEASE) of the X Window System.
	@echo :
	@echo :
	-@if not exist $(IRULESRC)\host.def echo > $(IRULESRC)\host.def
	cd $(IMAKESRC)
	$(MAKE) -f Makefile.ini clean.Win32
	$(MAKE) -f Makefile.ini imake.exe
	cd ..\..
	-if exist xmakefile.bak del xmakefile.bak
	-if exist xmakefile ren xmakefile xmakefile.bak
	$(IMAKE:/=\) -s xmakefile -I$(IRULESRC) $(IMAKE_DEFINES) -DTOPDIR=$(TOP) -DCURDIR=$(CURRENT_DIR)
	$(MAKE_CMD) $(MFLAGS) VerifyOS
	$(MAKE_CMD) $(MFLAGS) Makefiles
	$(MAKE_CMD) $(MFLAGS) clean
	cd $(CONFIGSRC)\util
	$(MAKE) mkdirhier.exe
	cd ..\..
	$(MAKE_CMD) $(MFLAGS) includes
	$(MAKE_CMD) $(MFLAGS) depend
	$(MAKE_CMD) $(MFLAGS) $(WIN32WORLDOPTS)
	@echo :
	@echo :
	@echo Full build of $(RELEASE) of the X Window System complete.
	@echo :

World.OS2:
	@echo :
	@echo Building $(RELEASE) of the X Window System on OS/2.
	@echo :
	@echo :
	-@if not exist $(IRULESRC)\host.def echo > $(IRULESRC)\host.def
	\indir $(IMAKESRC) $(MAKE) SHELL= -f Makefile.ini clean.os2
	\indir $(IMAKESRC) $(MAKE) SHELL= CC=gcc -f Makefile.ini imake.os2
	-if exist Makefile.bak del Makefile.bak
	-if exist Makefile ren Makefile Makefile.bak
	$(subst /,\,$(IMAKE)) -I$(IRULESRC) $(IMAKE_DEFINES) -DTOPDIR=$(TOP) -DCURDIR=$(CURRENT_DIR)
	$(MAKE) $(MFLAGS) VerifyOS
	$(MAKE) $(MFLAGS) Makefiles
	$(MAKE) $(MFLAGS) clean
	$(MAKE) $(MFLAGS) includes
	$(MAKE) $(MFLAGS) depend
	$(MAKE) $(MFLAGS)  
	@echo :
	@echo :
	@echo Full build of $(RELEASE) of the X Window System complete.
	@echo :

# don't allow any default rules in this Makefile
.SUFFIXES:
# quiet "make" programs that display a message if suffix list empty
.SUFFIXES: .Dummy

# a copy of every rule that might be invoked at top level

clean:
	    $(MAKE_CMD) $@
dangerous_strip_clean:
	    $(MAKE_CMD) $@
depend:
	    $(MAKE_CMD) $@
Everything:
	    $(MAKE_CMD) $@
external.ln:
	    $(MAKE_CMD) $@
includes:
	    $(MAKE_CMD) $@
install.linkkit:
	    $(MAKE_CMD) $@
install.ln:
	    $(MAKE_CMD) $@
install.man:
	    $(MAKE_CMD) $@
install:
	    $(MAKE_CMD) $@
Makefiles:
	    $(MAKE_CMD) $@
man_keywords:
	    $(MAKE_CMD) $@
tags:
	    $(MAKE_CMD) $@
VerifyOS:
	    $(MAKE_CMD) $@

=== debian/changelog ===
vnc (3.3.7-14) unstable; urgency=medium

  * Readded missing vncauth.h file to libvncauth-dev package.
    Closes: #404964, with help from Alex de Oliveira Silva <enerv@host.sk>.

 -- Ola Lundqvist <opal@debian.org>  Sat, 30 Dec 2006 12:44:18 +0100

vnc (3.3.7-13) unstable; urgency=low

  * Correction of default font path, closes: #229645, #365594, #370701.
  * Changed default config dir to correct problem with
    SecurityPolicy file.

 -- Ola Lundqvist <opal@debian.org>  Wed,  9 Aug 2006 08:28:11 +0200

vnc (3.3.7-12) unstable; urgency=low

  * Correction for rgb path and font paths.

 -- Ola Lundqvist <opal@debian.org>  Thu, 27 Apr 2006 07:08:02 +0200

vnc (3.3.7-11) unstable; urgency=low

  * Applied patch from josmithi@web.de to allow xvncviewer to use the
    MIT Shared Memory Extension, closes: #362819.
  * RGB path correction.
  * Run Xrealvnc instead of Xvnc.

 -- Ola Lundqvist <opal@debian.org>  Fri, 21 Apr 2006 21:11:01 +0200

vnc (3.3.7-10) unstable; urgency=low

  * Merged patch from Peter Cordes <peter@cordes.ca> (for
    tightvncserver) to make it possible to use with xorg version 7.0.

 -- Ola Lundqvist <opal@debian.org>  Wed, 19 Apr 2006 21:42:36 +0200

vnc (3.3.7-9) unstable; urgency=low

  * Changed dependency from xserver-common to x11-common,
    closes: #362867.
  * Changed to debhelper 4 compatibility.

 -- Ola Lundqvist <opal@debian.org>  Mon, 17 Apr 2006 14:44:17 +0200

vnc (3.3.7-8) unstable; urgency=low

  * Applied patch from Markus Gutschke
    <markus+debian@debian.gutschke.com> to allow the listen option to
    work properly if a font is not found, closes: #335441.
  * Changed to new FSF address in debian/copyright.
  * Updated standards version to 3.6.2.
  * Package reupload needed because of gcc-4.0 transition, closes: #333256.
  * Fixed spelling error on package description of libvncauth-dev,
    closes: #276358.
  * Correction of README.inetd as Xvnc have changed place, closes: #287181.
    Also change name from Xvnc to Xrealvnc.
  * Now referring to vnc4 in package description, closes: #284502.

 -- Ola Lundqvist <opal@debian.org>  Sat,  5 Nov 2005 21:08:02 +0100

vnc (3.3.7-7) unstable; urgency=medium

  * Applied patch from Andreas Jochens <aj@andaco.de> so that vnc can
    compile with gcc 3.4, closes: #273152.

 -- Ola Lundqvist <opal@debian.org>  Sat, 25 Sep 2004 21:06:47 +0200

vnc (3.3.7-6) unstable; urgency=medium

  * Fixed vncpasswd error in prerm of vnc-common.

 -- Ola Lundqvist <opal@debian.org>  Thu, 16 Sep 2004 08:32:22 +0200

vnc (3.3.7-5) unstable; urgency=medium

  * Fixed segfault problem, thanks to Jayen Ashar
    <jashar@picard.res.cmu.edu> for helping me to determine where the
    problem is, closes: #214803.

 -- Ola Lundqvist <opal@debian.org>  Wed, 18 Aug 2004 15:20:40 +0200

vnc (3.3.7-4) unstable; urgency=low

  * Problems with ipv6 support and vncserver. Applying patch from
    'J.H.M. Dassen (Ray)' <fsmla@xinara.org> that make it revert to ipv4
    if ipv6 do not work, closes: #265674.
    Had to modify it some in order to make it compile and also to make
    it work (probably) if AF_INET6 is not defined.

 -- Ola Lundqvist <opal@debian.org>  Sat, 14 Aug 2004 19:11:39 +0200

vnc (3.3.7-3) unstable; urgency=low

  * Applied patch with ipv6 support, closes: #182085. Thanks to Robert
    Bihlmeyer <robbe@orcus.priv.at> for that patch.
  * Applied patch for vncserver manpage, closes: #208781.
    Thanks to Martin Pool <mbp@sourcefrog.net>.
  * Fix cutbuffer bug, closes: #214208.
    Thanks to Jayen Ashar <jashar@picard.res.cmu.edu> for the workaround.
  * Fixed so that /usr/share/man/man1/vncpasswd.real.1x.gz will not be a
    dangling symlink, closes: #264748.
  * Fixed so that it do not hog 100% cpu when xfs is restarted,
    closes: #176562.
    Thanks to Martin Koegler <e9925248@stud4.tuwien.ac.at> for the patch.
  * Added -once and -startup option, closes: #222644.
    Thanks to Steve Fosdick <dbugs@pelvoux.nildram.co.uk> for the patch.

 -- Ola Lundqvist <opal@debian.org>  Fri, 13 Aug 2004 09:38:32 +0200

vnc (3.3.7-2) unstable; urgency=low

  * Made vncpasswd using update-alternatives, in order to comply with
    vnc4-common.
  * Applied patch from Andreas Jochens <aj@andaco.de> to add amd64
    support, closes: #254783.
  * Fixed Xvnc manpage issue with update-alternatives,
    closes: #227570, #244311. Thanks to Laurent.Bonnaud@inpg.fr for the fix.
  * Applied patch from Roderick Schertler <roderick@argon.org> that fix
    a path issue in vncpasswd, closes: #231282.
  * Updated standards version to 3.6.1.

 -- Ola Lundqvist <opal@debian.org>  Sun,  8 Aug 2004 21:28:16 +0200

vnc (3.3.7-1) unstable; urgency=low

  * New upstream version, closes: #199745.
  * Fixed description so it is not so confusing about xserver,
    closes: #192584.
  * Fixed wrong display using patch from:
    closes: #195376, #171697, #174463.
  * Added dependency on perl-modules in vnc-common, closes: #182002.

 -- Ola Lundqvist <opal@debian.org>  Fri, 18 Jul 2003 16:23:55 +0200

vnc (3.3.6-4) unstable; urgency=low

  * Important security update regarding X cookies.
  * Fixed menu issue, closes: #174522.

 -- Ola Lundqvist <opal@debian.org>  Mon, 27 Jan 2003 10:30:05 +0100

vnc (3.3.6-3) unstable; urgency=low

  * Added patch from William Thompson <wt@electro-mechanical.com> that
    outputs an passwd dialog if no atty, closes: #145565, #173355.
  * Added patch from Martin Koegler <e9925248@stud4.tuwien.ac.at> that
    fixes font path issues, closes: #161358.

 -- Ola Lundqvist <opal@debian.org>  Thu, 19 Dec 2002 08:49:26 +0100

vnc (3.3.6-2) unstable; urgency=low

  * Fix to make sure that the right server is started if tightvncserver
    is installed used as the alternative.
  * Xvnc now has a separate alternative.

 -- Ola Lundqvist <opal@debian.org>  Wed, 11 Dec 2002 15:16:23 +0100

vnc (3.3.6-1) unstable; urgency=low

  * New upstream version.
  * Removed some references to tightvnc from copyright.


=== debian/control ===
Source: vnc
Section: x11
Priority: optional
Maintainer: Ola Lundqvist <opal@debian.org>
Standards-Version: 3.6.2
Build-Depends: debhelper (>> 4.0.0), lynx, zlib1g-dev, xutils, libxaw7-dev (>> 4.1.0), perl-modules, xfonts-base

Package: vnc-common
Architecture: any
Conflicts: vnc, vnc-doc, vncserver (<< 3.3.6-1)
Pre-Depends: dpkg (>= 1.6.8)
Depends: ${shlibs:Depends}, ${perl:Depends}
Suggests: xvncviewer|vncviewer, vncserver
Description: Virtual network computing server software
 VNC stands for Virtual Network Computing. It is, in essence, a remote
 display system which allows you to view a computing `desktop' environment
 not only on the machine where it is running, but from anywhere on the
 Internet and from a wide variety of machine architectures.
 .
 It is implemented in a client/server model. This package provides common
 utilities for the server and client packages.

Package: vncserver
Architecture: any
Provides: xserver, vnc-server
Conflicts: vnc, vnc-doc
Replaces: vnc, vnc-doc
Pre-Depends: dpkg (>= 1.6.8)
Depends: ${shlibs:Depends}, ${perl:Depends}, xbase-clients, x11-common | xserver-common, vnc-common (>= 3.3.6-1)
Recommends: xfonts-base
Suggests: vnc-java
Description: Virtual network computing server software
 VNC stands for Virtual Network Computing. It is, in essence, a remote
 display system which allows you to view a computing `desktop' environment
 not only on the machine where it is running, but from anywhere on the
 Internet and from a wide variety of machine architectures.
 .
 This package provides a server to which X clients can connect and the
 server generates a display that can be viewed with a vncviewer.
 .
 Note1: This server does not support or need a display. You need a vncviewer to
 see something. However, this viewer may also be on a computer running other
 operating systems in the local net.
 .
 Note2: A new version of vnc and is available in the vnc4server package.
 This package exist because of backward compatibility.

Package: xvncviewer
Architecture: any
Provides: vnc-viewer
Conflicts: vnc, vnc-doc
Replaces: vnc, vnc-doc
Pre-Depends: dpkg (>= 1.6.8)
Depends: ${shlibs:Depends}, vnc-common
Recommends: xfonts-base
Suggests: vncserver, ssh
Description: Virtual network computing client software for X
 VNC stands for Virtual Network Computing. It is, in essence, a remote
 display system which allows you to view a computing `desktop' environment
 not only on the machine where it is running, but from anywhere on the
 Internet and from a wide variety of machine architectures.
 .
 It is implemented in a client/server model. This package provides a client
 for X, with this you can connect to a vncserver somewhere in the network
 and display its content in a window. There are vncserver available for X
 and for Win95/NT.
 .
 This package is an enhanced version of VNC including the tunneling option from
 TightVNC.
 .
 Note: A new version of vnc and is available in the xvnc4viewer package. This
 package exist because of backward compatibility.

Package: libvncauth0
Architecture: any
Section: libs
Conflicts: vnc, vnc-doc
Pre-Depends: dpkg (>= 1.6.8)
Depends: ${shlibs:Depends} 
Suggests: vncviewer
Description: Virtual network computing authentication library
 VNC stands for Virtual Network Computing. It is, in essence, a remote
 display system which allows you to view a computing `desktop' environment
 not only on the machine where it is running, but from anywhere on the
 Internet and from a wide variety of machine architectures.
 .
 It is implemented in a client/server model. This package provides the library
 to handle client authentication.

Package: libvncauth-dev
Architecture: any
Section: libdevel
Conflicts: vnc, vnc-doc
Pre-Depends: dpkg (>= 1.6.8)
Depends: libvncauth0 (= ${Source-Version})
Description: Virtual network computing authentication headers and static lib
 VNC stands for Virtual Network Computing. It is, in essence, a remote
 display system which allows you to view a computing `desktop' environment
 not only on the machine where it is running, but from anywhere on the
 Internet and from a wide variety of machine architectures.
 .
 It is implemented in a client/server model. This package provides the headers
 and static library to handle client authentication.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=4

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--localstatedir=/var \
		--with-installed-zlib \
		--with-x

build-arch:  config.status build-arch-stamp
build-arch-stamp:
	dh_testdir

	# Add here command to compile/build the package.
	# Build first things.
	$(MAKE)
	# Build Xvnc
	#xmkmf
	(cd Xvnc; $(MAKE) World)

	lynx -dump debian/faq.html   | sed 's,file://.*/,,' > debian/faq.txt
	lynx -dump debian/start.html | sed 's,file://.*/,,' > debian/start.txt

	touch build-arch-stamp

build-indep: config.status  build-indep-stamp
build-indep-stamp:
	dh_testdir

	# Add here command to compile/build the arch indep package.
	# It's ok not to do anything here, if you don't need to build
	#  anything for this package.
	#/usr/bin/docbook-to-man debian/vnc.sgml > vnc.1

	touch build-indep-stamp

build: build-arch build-indep

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp 
	rm -f debian/faq.txt debian/start.txt

	# Add here commands to clean up after the build process.
	-rm -f config.log config.status config.cache config.guess config.sub
	-$(MAKE) distclean
	-$(MAKE) clean
	-test -r /usr/share/misc/config.sub && \
	  cp -f /usr/share/misc/config.sub config.sub
	-test -r /usr/share/misc/config.guess && \
	  cp -f /usr/share/misc/config.guess config.guess

	#cd Xvnc; xmkmf
	-cd Xvnc && $(MAKE) clean

	-find . -type f -a -name Makefile -a ! -path '*Xvnc/Makefile' \
		-exec rm -f '{}' ';'
	-rmdir Xvnc/exports

	dh_clean Xvnc/xmakefile \
		Xvnc/config/cf/host.def \
		Xvnc/config/imake/Makefile.proto

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/vnc.
	#$(MAKE) install prefix=$(CURDIR)/debian/vnc/usr
#	mkdir -p $(CURDIR)/debian/tmp
#	./vncinstall $(CURDIR)/debian/tmp/
# vnc-common
	install -o root -g root -m 755 vncpasswd/vncpasswd \
		$(CURDIR)/debian/vnc-common/usr/bin/realvncpasswd.real
	install -o root -g root -m 755 debian/vncpasswd.wrapper \
		$(CURDIR)/debian/vnc-common/usr/bin/realvncpasswd
	install -o root -g root -m 644 debian/vncpasswd.1x \
		$(CURDIR)/debian/vnc-common/usr/share/man/man1/realvncpasswd.1
	install -o root -g root -m 644 debian/vnc.conf.5x \
		$(CURDIR)/debian/vnc-common/usr/share/man/man5/vnc.conf.5x
	install -o root -g root -m 644 debian/vnc.conf \
		$(CURDIR)/debian/vnc-common/etc/vnc.conf

# vncserver
	install -o root -g root -m 755 Xvnc/programs/Xserver/Xvnc \
		$(CURDIR)/debian/vncserver/usr/bin/Xrealvnc
	install -o root -g root -m 755 vncserver \
		$(CURDIR)/debian/vncserver/usr/bin/realvncserver
	install -o root -g root -m 755 vncconnect/vncconnect \
		$(CURDIR)/debian/vncserver/usr/bin/realvncconnect

	install -o root -g root -m 644 debian/vncserver.1x \
		$(CURDIR)/debian/vncserver/usr/share/man/man1/realvncserver.1x
	install -o root -g root -m 644 vncconnect/vncconnect.man \
		$(CURDIR)/debian/vncserver/usr/share/man/man1/realvncconnect.1
#	install -o root -g root -m 644 debian/Xvnc.1x \
#		$(CURDIR)/debian/vncserver/usr/share/man/man1/Xvnc.1x
	install -o root -g root -m 644 Xvnc/programs/Xserver/Xvnc.man \
		$(CURDIR)/debian/vncserver/usr/share/man/man1/Xrealvnc.1

# libvncauth0
	install -o root -g root -m 644 rfb/libvncauth.so.0.0 \
		$(CURDIR)/debian/libvncauth0/usr/lib

# libvncauth-dev
	# Now moved to rfb dir.
	install -o root -g root -m 644 rfb/vncauth.h \
		$(CURDIR)/debian/libvncauth-dev/usr/include
	install -o root -g root -m 644 rfb/libvncauth.a \
		$(CURDIR)/debian/libvncauth-dev/usr/lib

# xvncviewer
	install -o root -g root -m 755 vncviewer/vncviewer \
		$(CURDIR)/debian/xvncviewer/usr/bin/xrealvncviewer
#	install -o root -g root -m 644 vncviewer/Vncviewer \
#		$(CURDIR)/debian/xvncviewer/usr/X11R6/lib/X11/app-defaults/Xvncviewer
	install -o root -g root -m 644 vncviewer/Vncviewer.ad \
		$(CURDIR)/debian/xvncviewer/etc/X11/app-defaults/Xvncviewer
#	install -o root -g root -m 644 debian/xvncviewer.1x \
#		$(CURDIR)/debian/xvncviewer/usr/share/man/man1/xrealvncviewer.1x
	install -o root -g root -m 644 vncviewer/vncviewer.man \
		$(CURDIR)/debian/xvncviewer/usr/share/man/man1/xrealvncviewer.1

#	dh_movefiles

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: build install

binary-indep-keep:
	dh_testdir -i
	dh_testroot -i
#	dh_installdebconf -i
	dh_installdocs -i
	dh_installexamples -i
	dh_installmenu -i
#	dh_installlogrotate -i
#	dh_installemacsen -i
#	dh_installpam -i
#	dh_installmime -i
#	dh_installinit -i
	dh_installcron -i
#	dh_installman -i
	dh_installinfo -i
#	dh_undocumented -i
	dh_installchangelogs  -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_perl -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
#	dh_installdebconf -a
	dh_installdocs -a
	dh_installexamples -a
	dh_installmenu -a
#	dh_installlogrotate -a
#	dh_installemacsen -a
#	dh_installpam -a
#	dh_installmime -a
#	dh_installinit -a
	dh_installcron -a
#	dh_installman -a
	dh_installinfo -a
#	dh_undocumented -a
	dh_installchangelogs  -a
	dh_strip -a
	dh_link -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a
	dh_installdeb -a
	dh_perl -a
#	dh_shlibdeps -a
	dh_shlibdeps -l `pwd`/debian/libvncauth0/usr/lib -- -Ldebian/libvncauth0/DEBIAN/shlibs
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
